- HTTP request
- Path parameters
- Query parameters
- Request body
- Response body
- Authorization scopes
- Try it!
Lists all browser device enrollment tokens.
HTTP request
GET https://chromemanagement.googleapis.com/v1/{parent=customers/*}/enrollmentTokens
The URL uses gRPC Transcoding syntax.
Path parameters
| Parameters | |
|---|---|
parent |
Required. The parent resource where this enrollment token will be created. Format: customers/{customer} |
Query parameters
| Parameters | |
|---|---|
pageSize |
Optional. Maximum number of results to return. Maximum and default are 100. |
pageToken |
Optional. Token to specify next page in the list. |
filter |
Optional. Filter to apply to list results. The following fields can be used in the filter:
|
Request body
The request body must be empty.
Response body
Response that contains a list of tokens.
If successful, the response body contains data with the following structure:
| JSON representation |
|---|
{
"enrollmentTokens": [
{
object ( |
| Fields | |
|---|---|
enrollmentTokens[] |
List of Chrome device enrollment tokens. |
nextPageToken |
Token to retrieve the next page of results, or empty if there are no more results in the list. |
Authorization scopes
Requires one of the following OAuth scopes:
https://www.googleapis.com/auth/chrome.management.enrollmenttokens.readonlyhttps://www.googleapis.com/auth/chrome.management.enrollmenttokens